com.smartgwt.client.types

## Enum DateFieldLayout

- java.lang.Object
- - java.lang.Enum<DateFieldLayout>
  - - com.smartgwt.client.types.DateFieldLayout

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DateFieldLayout>

      public enum DateFieldLayout
      extends java.lang.Enum<DateFieldLayout>
      implements ValueEnum

  The direction in which an item should lay out it's fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HORIZONTAL` fields are placed horizontally
    `VERTICAL` fields are placed vertically

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DateFieldLayout` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DateFieldLayout[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final DateFieldLayout HORIZONTAL

      fields are placed horizontally

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

    - #### VERTICAL

          public static final DateFieldLayout VERTICAL

      fields are placed vertically

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

  - ### Method Detail

    - #### values

          public static DateFieldLayout[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateFieldLayout c : DateFieldLayout.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateFieldLayout valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`